import PySimpleGUI as sg

from . import gui_scanner
from . import gui_reportcomparator


layout = [[sg.TabGroup([[sg.Tab('Machine Scanner', gui_scanner.get_layout(), key='-SCANTAB-'),
                         sg.Tab('Report Comparator', gui_reportcomparator.get_layout(), key='-COMPARETAB-')]],
                       key='-TABGROUP-')],
          [sg.Multiline(size=(66, 15), key='-TEXTBOX-', autoscroll=True, disabled=True, auto_refresh=True,
                        reroute_stdout=True, reroute_stderr=True, echo_stdout_stderr=True)]
          ]

# Create the window
window = sg.Window("HTTPHeaderScanner", layout=layout, resizable=True)


def run():
    # Create an event loop
    while True:
        event, values = window.read()

        if event == "-SCAN-":
            window['-TEXTBOX-']('')  # clear report's text area
            gui_scanner.launch_scanner(values['-INPUT-'])

        if event == "-COMPARE-":
            window['-TEXTBOX-']('')  # clear comparator's text area
            gui_reportcomparator.launch_reportcomparator(values['-ROUTEREPORT1-'], values['-ROUTEREPORT2-'])

        if event == sg.WIN_CLOSED:  # End program if user closes window
            break

    window.close()
